Sso\WebserviceBundle\Entity\Webservice\Type\PasswordPolicy:
    type: entity
    table: password_policies
    id:
        policyId:
            type: string
            nullable: false
            length: 255
            fixed: false
            id: true
            column: policy_id
            generator:
                strategy: UUID
    fields:
        title:
            type: string
            nullable: false
            length: 255
            fixed: false
            column: title
        regEx:
            type: string
            nullable: true
            length: 255
            fixed: false
            column: regex
        regexErrorMessages:
            type: array
            nullable: true
            column: regex_error_messages
        validityDuration:
            type: integer
            nullable: false
            column: validity_duration
        validityDurationErrorMessages:
            type: array
            nullable: true
            column: validity_duration_error_messages
        historySize:
            type: integer
            nullable: false
            column: history_size
        historySizeErrorMessages:
            type: array
            nullable: true
            column: history_size_error_messages
        editDistance:
            type: integer
            nullable: false
            column: edit_distance
        editDistanceErrorMessages:
            type: array
            nullable: true
            column: edit_distance_error_messages
        changeDelay:
            type: integer
            nullable: false
            column: change_delay
        changeDelayErrorMessages:
            type: array
            nullable: true
            column: change_delay_error_messages
        policyDescription:
            type: string
            nullable: false
            length: 255
            fixed: false
            column: description
        isDefault:
            type: boolean
            nullable: true
            column: is_default
        errorMessages:
            type: array
            nullable: true
            column: error_messages
    oneToMany:
        passwordPolicyValidations:
            targetEntity: PasswordPolicyValidations
            mappedBy: passwordPolicy